Patchwork [CONSOLIDATED,PULL,20/30] runqemu: Fix running qemu when build without gl

login
register
mail settings
Submitter Saul Wold
Date July 16, 2012, 3:47 p.m.
Message ID <6612873dc59054e6d37fa7488226218bfb759127.1342453118.git.sgw@linux.intel.com>
Download mbox | patch
Permalink /patch/32143/
State New
Headers show

Comments

Saul Wold - July 16, 2012, 3:47 p.m.
From: Khem Raj <raj.khem@gmail.com>

When gl is disabled in PACKAGECONFIG then we dont need
to check for supporting libs to be present before running
qemu.

Signed-off-by: Khem Raj <raj.khem@gmail.com>
Signed-off-by: Saul Wold <sgw@linux.intel.com>
---
 scripts/runqemu          |   14 --------------
 scripts/runqemu-internal |   17 +++++++++++++++++
 2 files changed, 17 insertions(+), 14 deletions(-)

Patch

diff --git a/scripts/runqemu b/scripts/runqemu
index 650d1df..7454dd4 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -387,20 +387,6 @@  echo "FSTYPE: [$FSTYPE]"
 setup_sysroot
 # OECORE_NATIVE_SYSROOT is now set for all cases
 
-# We can't run without a libGL.so
-libgl='no'
-
-[ -e /usr/lib/libGL.so -a -e /usr/lib/libGLU.so ] && libgl='yes'
-[ -e /usr/lib64/libGL.so -a -e /usr/lib64/libGLU.so ] && libgl='yes'
-[ -e /usr/lib/*-linux-gnu/libGL.so -a -e /usr/lib/*-linux-gnu/libGLU.so ] && libgl='yes'
-
-if [ "$libgl" != 'yes' ]; then
-    echo "You need libGL.so and libGLU.so to exist in your library path to run the QEMU emulator.
-    Ubuntu package names are: libgl1-mesa-dev and libglu1-mesa-dev.
-    Fedora package names are: mesa-libGL-devel mesa-libGLU-devel."
-    exit 1;
-fi
-
 INTERNAL_SCRIPT="$0-internal"
 if [ ! -f "$INTERNAL_SCRIPT" -o ! -r "$INTERNAL_SCRIPT" ]; then
 INTERNAL_SCRIPT=`which runqemu-internal`
diff --git a/scripts/runqemu-internal b/scripts/runqemu-internal
index a21ea93..eeadb24 100755
--- a/scripts/runqemu-internal
+++ b/scripts/runqemu-internal
@@ -468,6 +468,23 @@  if [ ! -x "$QEMUBIN" ]; then
     return
 fi
 
+NEED_GL=`ldd $QEMUBIN/$QEMU 2>&1 | grep libGLU`
+# We can't run without a libGL.so
+if [ "$NEED_GL" != "" ]; then
+    libgl='no'
+
+    [ -e /usr/lib/libGL.so -a -e /usr/lib/libGLU.so ] && libgl='yes'
+    [ -e /usr/lib64/libGL.so -a -e /usr/lib64/libGLU.so ] && libgl='yes'
+    [ -e /usr/lib/*-linux-gnu/libGL.so -a -e /usr/lib/*-linux-gnu/libGLU.so ] && libgl='yes'
+
+    if [ "$libgl" != 'yes' ]; then
+        echo "You need libGL.so and libGLU.so to exist in your library path to run the QEMU emulator.
+        Ubuntu package names are: libgl1-mesa-dev and libglu1-mesa-dev.
+        Fedora package names are: mesa-libGL-devel mesa-libGLU-devel."
+        exit 1;
+    fi
+fi
+
 do_quit() {
     if [ -n "$PIDFILE" ]; then
         #echo kill `cat $PIDFILE`